org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FlatMapIterableStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FlatMapIterableStageVerification

    public class FlatMapIterableStageVerification
    extends java.lang.Object

Verification for flat map iterable stage.

### Nested Class Summary

Nested Classes
`class` `FlatMapIterableStageVerification.ProcessorVerification` Verifies the outer processor.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flatMapIterableBuilderShouldBeReusable()`
`void` `flatMapIterableStageShouldFailIfNullElementReturnedFromIterator()`
`void` `flatMapIterableStageShouldFailIfNullIterableReturned()`
`void` `flatMapIterableStageShouldFailIfNullIteratorReturned()`
`void` `flatMapIterableStageShouldHandleExceptionsInCallback()`
`void` `flatMapIterableStageShouldHandleExceptionsInIterableIterateMethod()`
`void` `flatMapIterableStageShouldHandleExceptionsInIteratorHasNextMethod()`
`void` `flatMapIterableStageShouldHandleExceptionsInIteratorNextMethod()`
`void` `flatMapIterableStageShouldMapElements()`
`void` `flatMapIterableStageShouldPropagateUpstreamExceptions()`
`void` `flatMapIterableStageShouldSupportEmptyMappingOfElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### flatMapIterableStageShouldMapElements

    public void flatMapIterableStageShouldMapElements()

#### flatMapIterableStageShouldSupportEmptyMappingOfElements

    public void flatMapIterableStageShouldSupportEmptyMappingOfElements()

#### flatMapIterableStageShouldHandleExceptionsInCallback

    public void flatMapIterableStageShouldHandleExceptionsInCallback()

#### flatMapIterableStageShouldHandleExceptionsInIterableIterateMethod

    public void flatMapIterableStageShouldHandleExceptionsInIterableIterateMethod()

#### flatMapIterableStageShouldHandleExceptionsInIteratorHasNextMethod

    public void flatMapIterableStageShouldHandleExceptionsInIteratorHasNextMethod()

#### flatMapIterableStageShouldHandleExceptionsInIteratorNextMethod

    public void flatMapIterableStageShouldHandleExceptionsInIteratorNextMethod()

#### flatMapIterableStageShouldPropagateUpstreamExceptions

    public void flatMapIterableStageShouldPropagateUpstreamExceptions()

#### flatMapIterableBuilderShouldBeReusable

    public void flatMapIterableBuilderShouldBeReusable()

#### flatMapIterableStageShouldFailIfNullIterableReturned

    public void flatMapIterableStageShouldFailIfNullIterableReturned()

#### flatMapIterableStageShouldFailIfNullIteratorReturned

    public void flatMapIterableStageShouldFailIfNullIteratorReturned()

#### flatMapIterableStageShouldFailIfNullElementReturnedFromIterator

    public void flatMapIterableStageShouldFailIfNullElementReturnedFromIterator()